All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
gradient.hpp File Reference
`#include <stan/math/fwd/core.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T , typename F >
void | stan::math::gradient (const F &f, const Eigen::Matrix< T, Dynamic, 1 > &x, T &fx, Eigen::Matrix< T, Dynamic, 1 > &grad_fx)
| Calculate the value and the gradient of the specified function at the specified argument. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.